Subject: Re: [bug#45919] [PATCH 0/8] Exporting a manifest and channels from a profile

From: zimoun <[email-masked]>
Date: Fri, 29 Jan 2021 19:57:40 +0100

Hi Pierre and Ludo,

On Fri, 29 Jan 2021 at 18:57, Pierre Neidhardt <[email-masked]> wrote:
> Hi again!
>
> I just had a cursory look, and my main concern is that maybe exposing
> commands is one more thing to learn for the user, and one more step to
> run to get a simple file.
>
> Instead, what about doing what system profiles already do with
>
>   /run/current-system/channels.scm
>   /run/current-system/configuration.scm
>
> and store the result of the proposed commands directly in
> $PROFILE/channels.scm and $PROFILE/manifest-spec.scm, on each profile
> upgrade?

If I understand correctly, Pierre, you are proposing 2 things: 1) only
one command and 2) export by default in $PROFILE.  Right?

Yeah, sounds a good idea to me.  Even if #2 seems a bit of re-work for
the patch set. :-)

> Last, just a nit: what about listing the packages corresponding to the
> commented commits next to them?  For instance
>
> --8<---------------cut here---------------start------------->8---
> (list
>  ;; Note: these other commits were also used to install some of the packages in this profile:
>  ;;   "458cb25b9e7e7c954f468023abea2bebb5d8c75b" monolith obs calibre
>  ;;   "4969b51d175497bfcc354c91803e9d70542b7113" 0ad augustus
>  ;;   "3d85c3ec652feb22824f355538b51e6955ded361" nyxt
>  ;; ...
>  ;;   "b76b1d3fb65fec98b96a2b4cfa984316dd956a29" tectonic
>  (channel
>   (name 'guix)
>   ...
> --8<---------------cut here---------------end--------------->8---

I agree.  I did the same note. :-)

Cheers,
simon